* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Poppins", sans-serif;
}
:root {
    --bg-color: #080808;
    --second-bg-color: #131313;
    --text-color: white;
    --main-color: #00ffee;
}

html {
    font-size: 60%;
    overflow-x: hidden;
}
body {
    background: var(--bg-color);
    color: var(--text-color);
}
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 4rem 12% 4rem;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 5;
}
.logo {
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    text-decoration: none;
    cursor: pointer;
    transition: 0.3s ease;
}
.logo:hover {
    transform: scale(1.1);
}
.logo span {
    text-shadow: 0 0 25px var(--main-color);
}
.navbar a {
    display: inline-block;
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    text-decoration: none;
    transition: 0.3s ease;
    border-bottom: 3px solid var(--main-color);
}
.navbar a:hover,
.navbar a.active {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--main-color);
    display: none; 
}
section {
    min-height: 100vh;
    padding: 10rem 12% 10rem;
}
.home {
    background: var(--bg-color);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
}
.home-content {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    text-align: left;
    justify-items: center;
    margin-top: 3rem;
}
span {
    color: var(--main-color);
}
.logo span {
    color: var(--main-color);
}
.home-content{
    color: white;
}
.home-content h3 {
    margin-bottom: 2rem;
    margin-top: 1rem;
    font-size: 3.5rem;
}
.home-content h1{
    font-size: 7rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1;
}
.home-img {
    border-radius: 50%;
}
.home-img img {
    position: relative;
    top: 3rem;
    width: 32vh;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    cursor: pointer;
    transition: 0.4s ease-in-out;
}
.home-img img:hover {
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color),
                0 0 100px var(--main-color);
}
.home-content p {
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.8;
    max-width: 1000px;
}
.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    background: transparent;
    border: 2px solid var(--main-color);
    font-size: 2.5rem;
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 1.5rem 3rem 0;
    transition: 0.3s ease-in-out;
}
.social-icons a:hover {
    color: var(--text-color);
    transform: scale(1.3)translate(-5px);
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
}
.btn {
    display: inline-block;
    padding: 1rem 2.8rem;
    background: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 4rem;
    font-size: 1.6rem;
    color: black;
    border: 2px solid transparent;
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: 0.3s ease-in-out;
    cursor: pointer;
}
.btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 50px var(--main-color);
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
.btn-group {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}
.btn-group a:nth-of-type(2){
    background-color: black;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
}
.btn-group a:nth-of-type(2):hover {
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
    color: black;
}
.text-animation {
    font-size: 34px;
    font-weight: 600;
    min-width: 280px;
    white-space: nowrap;
}
.text-animation span {
    position: relative;
}
.text-animation span::before{
    content: "Web Developer";
    color: var(--main-color);
    animation: words 20s infinite;
}
.text-animation span::after {
    content: "";
    background-color: var(--bg-color);
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    border-left: 3px solid var(--bg-color);
    right: -8px;
    animation: cursor 0.6s infinite, typing 20s steps(14) infinite;
}
@keyframes cursor {
    to{
        border-left: 2px solid var(--main-color);
    }
}
@keyframes words {
    0%,
    25%{
        content: "Frontend Developer";
    }
    26%,
    50%{
        content: "Web Designer";
    }
    51%,
    75% {
        content: "Software Tester";
    }
    76%,
    100%{
        content: "Web Developer";
    }
}
@keyframes typing{
    10%,
    15%,
    30%,
    35%,
    50%,
    55%,
    70%,
    75%,
    90%,
    95%{
        width: 0;
    }
    5%,
    20%,
    25%,
    40%,
    45%,
    60%,
    65%,
    80%,
    85%{
        width: calc(100% + 8px);
    }
}
.heading {
    color: var(--text-color);
    font-size: 8rem;
    text-align: center;
    margin: 5rem 0;
}
.education {
    padding: 100px 15px;
    background: var(--second-bg-color);
}
.education h2 {
    margin-bottom: 5rem;
}
.timeline-items {
    max-width: 1200px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    position: relative;
}
.timeline-items::before{
    content: "";
    position: absolute;
    width: 5px;
    height: 100%;
    background-color: var(--main-color);
    left: calc(50% - 1px);
}
.timeline-item {
    margin-bottom: 40px;
    width: 100%;
    position: relative;
}
.timeline-item:last-child {
    margin-bottom: 0;
}
.timeline-item:nth-child(odd){
    padding-right: calc(50% + 30px);
    text-align: right;
}
.timeline-item:nth-child(even){
    padding-left: calc(50% + 30px);
}
.timeline-dot {
    height: 21px;
    width: 21px;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color),
                0 0 50px var(--main-color);
    position: absolute;
    left: calc(50% - 8px);
    border-radius: 50%;
    top: 10px;
}
.timeline-date {
    font-size: 20px;
    font-weight: 800;
    color: white;
    margin: 6px 0 15px;
}
.timeline-content {
    background-color: var(--bg-color);
    border: 3px solid var(--main-color);
    padding: 30px 50px;
    border-radius: 4rem;
    box-shadow: 0 0 10px var(--main-color);
    cursor: pointer;
    transition: 0.3s ease-in-out;
}
.timeline-content:hover{
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color);
}
.timeline-content h3 {
    font-size: 20px;
    color: white;
    margin: 0 0 10px;
    font-weight: 500;
}
.timeline-content p{
    color: white;
    font-size: 16px;
    font-weight: 300;
    line-height: 22px;
}
::-webkit-scrollbar {
    width: 15px;
}
::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
}
::-webkit-scrollbar-track {
    background-color: var(--main-color);
}

.skills {
    padding: 100px 15px;
    background: var(--bg-color);
    color: var(--text-color);
}
.sub-title {
    text-align: center;
    font-size: 50px;
}
.container1{
display: inline;
    width: 600px;
    height: 500px;
    padding: 75px 90px;
    margin-left: 120px;
}
.heading1{
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 5px;
    margin-bottom: 50px;
}
.bar{
    font-size: 23px;
}

.Technical-bars .bar{
    margin-top: 40px 0 ;
}
.Technical-bars .bar:first-child {
    margin-top: 0;
}
.Technical-bars .bar:last-child{
    margin-bottom: 0;
}
.Technical-bars .bar .info{
    margin-bottom: 5px;
}
.Technical-bars .bar .info span{
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.Technical-bars .bar .progress-line{
    position: relative;
    border-radius: 10px;
    width: 100%;
    height: 5px;
    background-color: var(--bg-color);
    animation: animate 1s cubic-bezier(1,0,0.5,1) forwards;
    transform: scaleX(0);
    transform-origin: left;
}
@keyframes animate{
    100%{
        transform: scaleX(1);
    }
}
.Technical-bars .bar .progress-line  span{
    height: 100%;
    background-color: var(--main-color);
    position: absolute;
    border-radius: 10px;
    animation: animate 1s 1s cubic-bezier(1,0,0.5,1) forwards;
    transform: scaleX(0);
    transform-origin: left;
}
.progress-line.html span{
    width: 90%;
}
.progress-line.css span{
    width: 70%;
}
.progress-line.javascript span{
    width: 75%;
}
.progress-line.bootstrap span{
    width: 80%;
}
.progress-line.react span{
    width: 60%;
}
.progress-line span::after{
    position: absolute;
    padding: 1px 8px;
    background-color: #000;
    color: #fff;
    font-size: 12px;
    border-radius: 3px;
    top: -28px;
    right: -20px;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;
}
.progress-line.html span::after{
    content: "90%";
}
.progress-line.css span::after{
    content: "70%";
}
.progress-line.javascript span::after{
    content: "80%";
}
.progress-line.bootstrap span::after{
    content: "90%";
}
.progress-line.react span::after{
    content: "60%";
}
.progress-line span::before{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 7px solid transparent;
    border-bottom-width: 0px;
    border-right-width: 0px;
    border-top-color: #000;
    top: -10px;
    right: 0;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;
}
@keyframes showText{
    100%{
        opacity: 1;
    }
}
.radial-bars{
    width: 100%;
    display: flex;
    height: 170px;
    margin-bottom: 10px;
    position: relative;
}
.radial-bars .radial-bar{
    width: 50%;
    height: 170px;
    margin-bottom: 10px;
    position: relative;
}
.radial-bars .radial-bar svg{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-90deg);
    width: 120px;
    height: 160px;
}
.radial-bars .radial-bar .progress-bar{
    stroke-width: 10;
    stop-color: #000;
    fill: transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap: round;
    animation: animate-bar 1s linear forwards;
}
@keyframes animate-bar{
    100%{
        stroke-dashoffset: -1;
    }
}
.path {
    stroke-width: 10;
    stroke: var(--main-color);
    fill: transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap: round;
}
.path-1{animation: animate-path1 1s 1s linear forwards;}
.path-2{animation: animate-path2 1s 1s linear forwards;}
.path-3{animation: animate-path3 1s 1s linear forwards;}
.path-4{animation: animate-path4 1s 1s linear forwards;}
@keyframes animate-path1{
    100%{
        stroke-dashoffset: 50;
    }
}
@keyframes animate-path2{
    100%{
        stroke-dashoffset: 175;
    }
}
@keyframes animate-path3{
    100%{
        stroke-dashoffset: 125;
    }
}
@keyframes animate-path4{
    100%{
        stroke-dashoffset:75;
    }
}
.radial-bar .percentage{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.radial-bar .text{
    width: 100%;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -5px;
    transform: translate(-50px);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}

.portfolio{
    background: var(--second-bg-color);
    color: var(--text-color);
}

.main-text{
    padding-top: 10px;
    margin-top: 30px;
}
.main-text h2{
    font-size: 60px;
    line-height: 1;
    text-align: center;
}
.portfolio-content{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(359px, auto));
}
.row {
    position: relative;
    overflow: hidden;
    border-radius: 8px;
    cursor: pointer;
}
.row img{
    min-height: 450px;
    max-width: 500px;
    border: 3px solid rgba(238, 238, 238, 0.2);
    border-radius: 2rem;
    margin: 0 2rem;
    padding: 30px 60px;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 1.5rem;
}
.row img:hover{
    border: 3px solid var(--main-color);
    transform: translateY(-10px)scale(1.03);
    box-shadow: 0 0 50px var(--main-color);
}
.row h3{
    font-size: 15px;
}
.row p{
    font-size: 15px;
    color: var(--text-color);
}
.contact{
    background-color: var(--bg-color);
}
.contact h2{
    margin-bottom: 3rem;
    color: white;
}
.contact form{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin: 5rem auto;
    text-align: center;
}
.contact form .input-box{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}
.contact form .input-box input,
.contact form textarea{
    width: 100%;
    padding: 2.5rem;
    font-size: 1.8rem;
    color: var(--text-color);
    background: var(--second-bg-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize: none;
}
.contact form .btn{
    margin-top: 2rem;
}
.footer{
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--second-bg-color);
}
.footer .social{
    text-align: center;
    padding-bottom: 25px;
    color: var(--main-color);
}
.footer .social a {
    font-size: 25px;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    width: 42px;
    height: 42px;
    line-height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease-in-out;
}
.footer .social a:hover{
    transform: scale(1.2)translateY(-10px);
    background-color: var(--main-color);
    color: black;
    box-shadow: 0 0 25px var(--main-color);
}
.footer ul{
    margin-top: 0;
    padding: 0;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 0;
    text-align: center;
}
.footer ul li a{
    color: white;
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
}
.footer ul li a:hover{
    border-bottom: 3px solid var(--main-color);
}
.footer ul li{
    display: inline-block;
    padding: 0 15px;
}
.footer .copyright{
    margin-top: 50px;
    text-align: center;
    font-size: 16px;
    color: white;
}

@media(max-width:1285px){
    html {
        font-size: 55%;
    }
    .service-container{
        padding-bottom: 7rem;
        grid-template-columns: repeat(2,1fr);
        margin: 0 5rem;
    }
}
@media(max-width:991px){
    header{
        padding: 2rem 3%;
    }
    section{
        padding: 10rem 3% 2rem;
    }
    .timeline-items::before{
        left: 7px;
    }  
  
    .timeline-item:nth-child(odd){
        padding-right: 0;
        text-align: left;
    }
    .timeline-item:nth-child(odd),
    .timeline-item:nth-child(even){
        padding-left: 37px;
    }
    .timeline-dot{
        left: 0;
    }
    .services{
        padding-bottom: 7rem;
    }
    .testimonials .wrapper{
        grid-template-columns: repeat(1,1fr);
    }
    .contact form{
        flex-direction: column;
    }
    .footer {
        padding: 2rem 3%;
    }
}
@media(max-width:895px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;
        top: 100%;
        right: 0;
        width: 50%;
        padding: 1rem 3%;
        background: rgba(0, 0, 0, 0.8);
        backdrop-filter: blur(20px);
        border-bottom-left-radius: 2rem;
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
        display: none;
    }
    .navbar .active{
        display: block;
    }
    .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: white;
    }
    .home{
        flex-direction: column-reverse;
        margin: 5rem 4rem;
    }
    .home-content h3{
        font-size: 2.6rem;
    }
    .home-content h1{
        font-size: 8rem;
        margin-top: 3rem;
    }
    .home-content p{
        max-width: 600px;
        margin: 0 auto;
    }
    .home-img img{
        width: 56vw;
    }
    .services h2{
        margin-bottom: 3rem;
    }
    .services-container{
        grid-template-columns: repeat(1,1fr);
    }
}












